package com.yonyou.hrcloud.hrself.application.web;

package ..deTemp.1731477363784;

import com.yonyou.hrcloud.hrself.common.MessageResult;
import java.util.ArrayList;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import nc.pub.facade.HouspitalChangeFacade;
import nc.pub.facade.HrApplySubtypeFacade;
import nc.pub.facade.LabourFacade;
import nc.pub.facade.LeavecongFacade;
import nc.pub.facade.PsnbaseFacade;
import nc.pub.facade.PsndocSSFacade;
import nc.pub.facade.SetalterQueryFacade;
import nc.pub.facade.TBMQueryFacade;
import nc.pub.facade.TRMQueryFacade;
import nc.pub.facade.fund.FundFacade;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"/portal/tbmquery"})
public class TBMQueryController {
  @RequestMapping(value = {"/getMyApplication"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getMyApplication(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getMyApplication(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getApplicationDept"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getApplicationDept(HttpServletRequest request) {
    String userId = getUserId(request);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getApplicationDept(userId);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getMyApprove"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getMyApprove(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getMyApprove(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @ResponseBody
  @RequestMapping(value = {"/getMyApproveDetailList"}, method = {RequestMethod.POST})
  public Object getMyApproveDetailList(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getMyApproveDetailList(param);
    } catch (Exception var5) {
      ncMessageResult = getErrorMsg(var5.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getBillInfo"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getBillInfo(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    Object ncMessageResult = null;
    String billtype = (String)param.get("billtype");
    String pk_h = (String)param.get("pk_h");
    if ("leave".equals(billtype)) {
      try {
        if (pk_h != null && !"".equals(pk_h))
          param.put("pk_leaveh", pk_h); 
        ncMessageResult = TBMQueryFacade.queryLeaveByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("dangan".equals(billtype)) {
      try {
        if (pk_h != null && !"".equals(pk_h))
          param.put("pk_dangan", pk_h); 
        ncMessageResult = TBMQueryFacade.queryDanganByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("huji".equals(billtype)) {
      try {
        if (pk_h != null && !"".equals(pk_h))
          param.put("pk_huji", pk_h); 
        ncMessageResult = TBMQueryFacade.queryHujiByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("amount".equals(billtype)) {
      try {
        if (pk_h != null && !"".equals(pk_h))
          param.put("pk_amount", pk_h); 
        ncMessageResult = TBMQueryFacade.queryAmountByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("overtime".equals(billtype)) {
      try {
        String pk_overtimeh = null;
        if (pk_h != null && !"".equals(pk_h)) {
          pk_overtimeh = pk_h;
        } else {
          pk_overtimeh = (String)param.get("pk_overtimeh");
        } 
        ncMessageResult = TBMQueryFacade.queryOvertimeByPK(pk_overtimeh);
        return new MessageResult(200, null, ncMessageResult);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("signcard".equals(billtype)) {
      try {
        String pk_signcardh = null;
        if (pk_h != null && !"".equals(pk_h)) {
          pk_signcardh = pk_h;
        } else {
          pk_signcardh = (String)param.get("pk_signcardh");
        } 
        ncMessageResult = TBMQueryFacade.querySigncardByPK(pk_signcardh);
        return new MessageResult(200, null, ncMessageResult);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("away".equals(billtype)) {
      try {
        String pk_awayh = null;
        if (pk_h != null && !"".equals(pk_h)) {
          pk_awayh = pk_h;
        } else {
          pk_awayh = (String)param.get("pk_awayh");
        } 
        ncMessageResult = TBMQueryFacade.queryAwayByPK(pk_awayh);
        return new MessageResult(200, null, ncMessageResult);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("psninfo".equals(billtype)) {
      try {
        ncMessageResult = PsnbaseFacade.queryPsninfoByPK(pk_h);
        return new MessageResult(200, null, ncMessageResult);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("bankinfo".equals(billtype)) {
      try {
        ncMessageResult = PsndocSSFacade.getMyBankInfo(param);
        return new MessageResult(200, null, ncMessageResult);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("labourinfo".equals(billtype)) {
      try {
        ncMessageResult = LabourFacade.getMyApplyLabour(param);
        return new MessageResult(200, null, ncMessageResult);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("leaveoff".equals(billtype)) {
      try {
        if (pk_h != null && !"".equals(pk_h))
          param.put("pk_leaveoff", pk_h); 
        ncMessageResult = TBMQueryFacade.queryLeaveoffByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("awayoff".equals(billtype)) {
      try {
        if (pk_h != null && !"".equals(pk_h))
          param.put("pk_awayoff", pk_h); 
        ncMessageResult = TBMQueryFacade.queryAwayoffByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("houspital".equals(billtype)) {
      try {
        ncMessageResult = HouspitalChangeFacade.getChangeInfo(pk_h);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("fundinfo".equals(billtype)) {
      try {
        ncMessageResult = FundFacade.queryApplyDetail(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("innertransfer".equals(billtype)) {
      try {
        ncMessageResult = TBMQueryFacade.queryInnertransferByPk(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else if ("applyinfo".equals(billtype)) {
      try {
        ncMessageResult = HrApplySubtypeFacade.queryApplyDetail(param);
      } catch (Exception e) {
        ncMessageResult = getErrorMsg(e.getMessage());
      } 
    } else {
      ncMessageResult = getErrorMsg("tbm_h_code有误");
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/doApprove"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object doApprove(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    Object ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.doApprove(param);
      return new MessageResult(200, null, ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
      return ncMessageResult;
    } 
  }
  
  @RequestMapping(value = {"/doBatchApprove"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object doBatchApprove(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    Object ncMessageResult = null;
    String userId = getUserId(request);
    param.put("userId", userId);
    try {
      ncMessageResult = TBMQueryFacade.doBatchApprove(param);
      return new MessageResult(200, null, ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
      return ncMessageResult;
    } 
  }
  
  @RequestMapping(value = {"/isDirectApprove"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object isDirectApprove(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    Object ncMessageResult = Integer.valueOf(0);
    try {
      ncMessageResult = TBMQueryFacade.queryDirectApprove(param);
      return new MessageResult(200, null, ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
      return new MessageResult(300, null, ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/getUser"}, method = {RequestMethod.POST})
  public Object getUser(@RequestBody Map<String, Object> params) {
    return "";
  }
  
  @RequestMapping(value = {"/saveLeave"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveLeave(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveLeave(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/saveValidate"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveValidate(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveValidate(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/submitLeave"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object submitLeave(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.submitLeave(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/submitBill"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object submitBill(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.submitBill(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/deleteBill"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object deleteBill(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    if (param.get("billtype") == null || "".equals(param.get("billtype"))) {
      ncMessageResult = getErrorMsg("billtype参数必传");
      return ncMessageResult;
    } 
    try {
      String pk_h = param.get("pk_h").toString();
      String billtype = param.get("billtype").toString();
      if ("leave".equals(billtype)) {
        param.put("pk_leaveh", pk_h);
        ncMessageResult = TBMQueryFacade.deleteLeave(param);
      } else if ("dangan".equals(billtype)) {
        param.put("pk_head", pk_h);
        ncMessageResult = TBMQueryFacade.deleteDangan(param);
      } else if ("overtime".equals(billtype)) {
        param.put("pk_overtimeh", pk_h);
        ncMessageResult = TBMQueryFacade.deleteOvertime(param);
      } else {
        if ("signcard".equals(billtype)) {
          Map<String, Object> delinfo = TBMQueryFacade.deleteSignCard(pk_h);
          return new MessageResult(200, "操作成功", delinfo);
        } 
        if ("away".equals(billtype)) {
          param.put("pk_awayh", pk_h);
          ncMessageResult = TBMQueryFacade.deleteAway(param);
        } else {
          if ("psninfo".equals(billtype)) {
            ncMessageResult = SetalterQueryFacade.deletePsnInfo(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("turnover".equals(billtype)) {
            ncMessageResult = LeavecongFacade.deleteLeavecong(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("bankinfo".equals(billtype)) {
            ncMessageResult = PsndocSSFacade.deleteBankConf(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("applyinfo".equals(billtype)) {
            ncMessageResult = HrApplySubtypeFacade.deleteBill(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("awayoff".equals(billtype)) {
            ncMessageResult = TBMQueryFacade.deleteAwayoff(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("leaveoff".equals(billtype)) {
            ncMessageResult = TBMQueryFacade.deleteLeaveoff(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("houspital".equals(billtype)) {
            ncMessageResult = HouspitalChangeFacade.del(pk_h);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("labourinfo".equals(billtype)) {
            ncMessageResult = LabourFacade.deleteLabourConf(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          if ("fundinfo".equals(billtype)) {
            ncMessageResult = FundFacade.deleteBill(param);
            return new MessageResult(200, "操作成功", ncMessageResult);
          } 
          ncMessageResult = getErrorMsg("billtype参数不正确");
        } 
      } 
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/saveAndSubmitLeave"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveAndSubmitLeave(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveAndSubmitLeave(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryLeaveType"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryLeaveType(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryLeaveType(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryTranstype"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryTranstype(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryTranstype(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/calculateLeaveLength"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object calculateLeaveLength(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.calculateLeaveLength(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getLeaveBalance"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getLeaveBalance(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getLeaveBalance(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/deleteLeave"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object deleteLeave(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.deleteLeave(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getNewLeave"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getNewLeave(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getNewLeave(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryCalendar"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryCalendar(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryCalendar(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryCalendarDayDetails"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryCalendarDayDetails(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryCalendarDayDetails(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryProcessNodeList"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryProcessNodeList(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryProcessNodeList(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryApproverList"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryApproverList(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryApproverList(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  private String getUserId(HttpServletRequest request) {
    String userId = null;
    HttpSession session = request.getSession();
    JSONObject ncSession = (JSONObject)session.getAttribute("ncSession");
    userId = ncSession.get("userID").toString();
    return userId;
  }
  
  private String getErrorMsg(String errormsg) {
    JSONObject jsonObject = new JSONObject();
    jsonObject.element("statusCode", "300");
    if (errormsg == null || errormsg.isEmpty() || StringUtils.isEmpty(errormsg)) {
      jsonObject.element("message", "操作失败");
    } else {
      jsonObject.element("message", errormsg);
    } 
    jsonObject.element("data", new ArrayList());
    return jsonObject.toString();
  }
  
  @RequestMapping(value = {"/leavePrintTemplate"}, method = {RequestMethod.POST})
  @ResponseBody
  public MessageResult leavePrintTemplate(@RequestBody Map<String, Object> param) {
    try {
      String ncdate = TBMQueryFacade.leavePrintTemplate(param);
      return new MessageResult(200, null, ncdate);
    } catch (Exception e) {
      return new MessageResult(300, e.getMessage(), null);
    } 
  }
  
  @RequestMapping(value = {"/checkTimeBroken"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object checkTimeBroken(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String type = param.get("type").toString();
    Object result = null;
    try {
      if (type.equals("leave")) {
        result = TBMQueryFacade.checkTimeBrokenLeave(param);
      } else if (type.equals("overtime")) {
        result = TBMQueryFacade.checkTimeBrokenOvertime(param);
      } else if (type.equals("away")) {
        result = TBMQueryFacade.checkTimeBrokenAway(param);
      } 
      return new MessageResult(200, null, result);
    } catch (Exception e) {
      result = getErrorMsg(e.getMessage());
      return new MessageResult(300, null, result);
    } 
  }
  
  @RequestMapping(value = {"/queryCpuser"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryCpuser(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getUserInfo(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryPsndocInfo"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryPsndocInfo(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    String userId = getUserId(request);
    param.put("userId", userId);
    try {
      ncMessageResult = TBMQueryFacade.queryPsndocInfo(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/sendMessage"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object sendMessage(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.sendMessage(param);
      return new MessageResult(200, null, ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
      return new MessageResult(300, null, ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/getMySetalter"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getMySetalter(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    String userId = getUserId(request);
    param.put("pk_user", userId);
    try {
      return SetalterQueryFacade.getMySetalter(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
      return new MessageResult(300, null, ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/getMyBankInfo"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getMyBankInfo(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String ncMessageResult = null;
    try {
      return PsndocSSFacade.getMyBankInfo(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
      return new MessageResult(300, null, ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/queryPsnInfoTemp"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryPsnInfoTemp(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    String pk_psncl = null;
    String ncMessageResult = "";
    try {
      ncMessageResult = SetalterQueryFacade.queryPsnInfoTemp(param, userId, pk_psncl);
    } catch (Exception e) {
      ncMessageResult = e.getMessage();
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getFamilyInfoAfterEdit"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getFamilyInfoAfterEdit(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    String pk_psncl = null;
    String ncMessageResult = "";
    try {
      ncMessageResult = SetalterQueryFacade.getFamilyInfoAfterEdit(param, userId, pk_psncl);
    } catch (Exception e) {
      ncMessageResult = e.getMessage();
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/doRecall"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object doRecall(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = "";
    try {
      ncMessageResult = TBMQueryFacade.returnBack(param);
      return new MessageResult(200, "操作成功", ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = e.getMessage();
      return new MessageResult(300, "操作失败", ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/queryControlByUserId"}, method = {RequestMethod.GET})
  @ResponseBody
  public Object queryControlByUserId(HttpServletRequest request, HttpServletResponse response) {
    String userId = getUserId(request);
    String ncMessageResult = "";
    try {
      ncMessageResult = SetalterQueryFacade.queryControlByUserId(userId);
      return new MessageResult(200, "操作成功", ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = e.getMessage();
      return new MessageResult(300, "操作失败", ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/queryControlByUserDept"}, method = {RequestMethod.GET})
  @ResponseBody
  public Object queryControlByUserDept(HttpServletRequest request, HttpServletResponse response) {
    String userId = getUserId(request);
    String ncMessageResult = "";
    try {
      ncMessageResult = SetalterQueryFacade.queryControlByUserDept(userId);
      return new MessageResult(200, "操作成功", ncMessageResult);
    } catch (Exception e) {
      ncMessageResult = e.getMessage();
      return new MessageResult(300, "操作失败", ncMessageResult);
    } 
  }
  
  @RequestMapping(value = {"/queryLeaveReg"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryLeaveReg(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryLeavereg4off(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryLeaveregByPk"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryLeaveregByPk(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryLeaveregByPk(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/calculateLeaveoffLength"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object calculateLeaveoffLength(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.calculateLeaveoffLength(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/saveLeaveoff"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveLeaveoff(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveLeaveoff(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/submitLeaveoff"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object submitLeaveoff(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.submitLeaveoff(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryAwayReg"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryAwayReg(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryAwayreg4off(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/queryAwayregByPk"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryAwayregByPk(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryAwayregByPk(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/calculateAwayoffLength"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object calculateAwayoffLength(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.calculateAwayoffLength(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/saveAwayoff"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveAwayoff(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveAwayoff(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/submitAwayoff"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object submitAwayoff(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.submitAwayoff(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/awayoffPrintTemplate"}, method = {RequestMethod.POST})
  @ResponseBody
  public MessageResult awayoffPrintTemplate(@RequestBody Map<String, Object> param) {
    try {
      String ncdate = TBMQueryFacade.awayoffPrintTemplate(param);
      return new MessageResult(200, null, ncdate);
    } catch (Exception e) {
      return new MessageResult(300, e.getMessage(), null);
    } 
  }
  
  @RequestMapping(value = {"/getAwayAndLeaveData"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getAwayAndLeaveData(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("cuserid", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getAwayAndLeaveData(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/checkBillType"}, method = {RequestMethod.POST})
  @ResponseBody
  public String checkBillType(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("cuserid", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.checkBillType(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/querylimittrmact"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryLimittrmact(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    try {
      param.put("userId", getUserId(request));
      return TRMQueryFacade.queryLimittrmact(param);
    } catch (Exception e) {
      return new MessageResult(300, e.getMessage(), null);
    } 
  }
  
  @RequestMapping(value = {"/queryUsePeriodBypk_timeitemcopy"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object queryUsePeriodBypk_timeitemcopy(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.queryUsePeriodBypk_timeitemcopy(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/saveDangan"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveDangan(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveDangan(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/saveHuji"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object saveHuji(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.saveHuji(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getDanganFileType"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getDanganFileType(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getDanganFileType(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getHujiAllType"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getHujiAllType(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getHujiAllType(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/gethujiInfoEmployee"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object gethujiInfoEmployee(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.gethujiInfoEmployee(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/gethujiInfoChild"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object gethujiInfoChild(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.gethujiInfoChild(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getPsnId"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getPsnId(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getPsnId(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
  
  @RequestMapping(value = {"/getPostName"}, method = {RequestMethod.POST})
  @ResponseBody
  public Object getPostName(@RequestBody Map<String, Object> param, HttpServletRequest request) {
    String userId = getUserId(request);
    param.put("userId", userId);
    String ncMessageResult = null;
    try {
      ncMessageResult = TBMQueryFacade.getPostName(param);
    } catch (Exception e) {
      ncMessageResult = getErrorMsg(e.getMessage());
    } 
    return ncMessageResult;
  }
}
